LL2_IMPORT_LASTLOG(3)

NAME
ll2_import_lastlog - Import old lastlog file.

SYNOPSIS

#include <lastlog2.h>

int ll2_import_lastlog (struct ll2_context *context, const char *lastlog_file, char **error);

DESCRIPTION

Importing all entries from lastlog_file file (lastlog(8)) into lastlog2 database defined with context. If context is NULL, the default database, defined in LL2_DEFAULT_DATABASE, will be taken.

    char    *error = NULL;
    const   char *lastlog_path = "/var/log/lastlog";

    int ret = ll2_import_lastlog (NULL, lastlog_path, &error);

RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure. error contains an error string if the return value is -1. error is not guaranteed to contain an error string, could also be NULL. error should be freed by the caller.

AUTHORS

Thorsten Kukuk (

SEE ALSO

lastlog2(3), ll2_new_context(3), *ll2_unref_context(3), *ll2_read_all(3), ll2_write_entry(3), ll2_read_entry(3), ll2_update_login_time(3), ll2_rename_user(3), ll2_remove_entry(3)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from